# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add carta notifications

Revision ID: 18521b94d2f8
Revises: 81679be895a6
Create Date: 2021-08-12 15:03:45.627177

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "18521b94d2f8"
down_revision = "81679be895a6"
branch_labels = None
depends_on = None


template = """ To: {{destination_email}}
Subject: NRAO CARTA Session Expired


Dear User,

Your CARTA session has expired.

Thank you for using NRAO Workspaces.

Best regards,
NRAO Workspaces

"""


def upgrade():
    op.execute(
        f"""
        INSERT INTO notification_templates (name, description, template)
        VALUES ('carta_expired',
        'An email template for notifying a user that their carta session is expired',
         '{template}')
        """
    )


def downgrade():
    op.execute(
        """
        DELETE FROM notification_templates WHERE name='carta_expired'
        """
    )
