"""add provided files to metadata

Revision ID: 90a1c99bde38
Revises: aa90ce8db20c
Create Date: 2022-02-17 09:21:52.296261

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "90a1c99bde38"
down_revision = "aa90ce8db20c"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        UPDATE workflow_templates
        SET content = (convert_from(content, 'utf8')::jsonb||'{"providedFiles":"{{provided_files}}"}'::jsonb)::text::bytea
        WHERE filename = 'metadata.json'
        """
    )


def downgrade():
    op.execute(
        """
        UPDATE workflow_templates
        SET content = (convert_from(content, 'utf8')::jsonb - 'providedFiles')::text::bytea
        WHERE filename = 'metadata.json'
        """
    )
